ZF2-542: Fatal Error glob()

Description

Hey,

i get this error and i have no idea how to fix it

Fatal error: Constructor Zend\Stdlib\Glob::glob() cannot be static in /Applications/XAMPP/xamppfiles/htdocs/projectname/vendor/zendframework/zendframework/library/Zend/Stdlib/Glob.php on line 197

i use XAMPP 1.7.3 with PHP 5.3.1 under MacOS X Mountain Lion (newest update) also with Windows 7 and the same XAMPP Version it don't work.

thanks for comments

greets

Simon

Comments

Hi Simon Updating PHP version might help. Github repo says: "Zend Framework 2 requires PHP 5.3.3 or later; we recommend using the latest PHP version whenever possible."

https://github.com/zendframework/zf2

This is actually one of the reasons for the minimum version being 5.3.3 -- this sort of issue was fixed in that version.

thanks, now i have installed MAMP with the new PHP Version and it works :) XAMPP is not updated for MAC :P